<?php
namespace App\Models;
class GameHebkuai3 extends BaseModel
{
    public $num=3;//开奖号码个数
    protected $table="game_hebkuai3";
    public $timestamps = false;
    //获取往期开奖记录
    function getLog($list=20,$fild,$order,$where=''){
        $data=$this->orderBy($fild,$order);
        if(!empty($where)&&is_array($where)){
            $data = $data->where($where);
        }
        $data = $data->paginate($list);
        if(!$data){
            return -5040000622;//没有开奖数据
        }
        return $data->toArray();
    }
    //获取一个游戏开奖数据
    function getOne(){
        $data=$this->where('status',2)->orderBy('open_time','desc')->first();
        if(!$data){
            return -5040000622;//没有开奖数据
        }
        return $data->toArray();
    }
    //按期号获取游戏开奖号码
    function getPrizeCodes($no){
        $data=$this->where('info_no',$no)->first();
        if(!$data){
            return -5040100122;//没有该期信息
        }
        return $data->toArray();
    }
}
